# vim: set ts=4 sw=4 et:
#
# spec file for package cpuid
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cpuid
Version:        20151017
Release:        1.1
Summary:        x86 CPU identification tool
License:        GPL-2.0+
Group:          System/Management
URL:            http://etallen.com/cpuid.html

Source:         http://etallen.com/cpuid/%name-%version.src.tar.gz
BuildRoot:      %_tmppath/%name-%version-build
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  make
Exclusivearch:  %ix86 x86_64

%description
cpuid executes the CPUID instruction on x86-family CPUs and decodes
the results into English descriptions. It knows about Intel, AMD, and
Cyrix CPUs, and is fairly complete.

%prep
%setup -q

%build
# remove -Werror=format-security which is used on Mandriva, as it produces
# a false positive compiler error on several printf calls:
CFLAGS=$(echo "%optflags -Wall"| sed 's/-Werror=format-security//g')

make CFLAGS="$CFLAGS"

%install
install -Dm 0755 cpuid "%buildroot/%_bindir/cpuid"
install -Dm 0644 cpuid.man "%buildroot/%_mandir/man1/cpuid.1"

%files
%defattr(-,root,root)
%doc ChangeLog FUTURE LICENSE
%_bindir/cpuid
%_mandir/man1/cpuid.1*

%changelog
* Sat Nov  7 2015 jengelh@inai.de
- Update to new upstream release 20151017
  * Updated synth decoding for Broadwell processors.
  * Added 0xd leaf field.
  * Updated and expanded 0x14 leaf fields.
  * Added synth decoding for Intel Xeon E7 v2 (Ivy Bridge-EX).
  * Added synth decoding for Intel Core i5/i7 (Skylake).
  * Decode new leaf 2 cache descriptors: 6a, 6b, 6c, 6d.
  * added synth decoding for Knights Landing.
  * Added new & missing decodings for: 4/ecx, 6/eax, 7/ebx, 7/ecx.
  * Renamed 0xf leaves to include "Monitoring".
  * Added 0x10 leaves for QoS Enforcement.
  * Added new leaf 2 cache meanings: 0x1d, 0x24, 0xa0, 0xc3.
  * Added missing i7 synth decoding for (0,6),(3,14).
  * Corrected Atom Z3000 model & stepping which were bafflingly
  wrong: (0,6)(3,5),1 -> (0,6)(3,7),8.
  * Corrected other Bay Trail stepping names for Celeron/Pentium
  N and J series.
  * Added synth decoding for Intel Xeon Phi (Knights Corner).
  * Added synth decoding for Intel Atom C2000 (Avoton).
  * Added synth decoding for Intel Xeon E5-x600 (Haswell-EP).
  * Added synth decoding for Intel Xeon E5-[48]800 (Haswell-EP).
  * Added synth decoding for Intel Core M (Broadwell-Y).
  * Added synth decoding for Intel Xeon D-1500 (Broadwell-DE).
  * Added synth decoding for Intel i7-5000 Extreme (Haswell R2).
  * Added synth decoding for Intel Atom Z8000 (Cherry Trail).
  * Added synth decoding for Intel Pentium/Celeron N3000
* Tue Jun  9 2015 jengelh@inai.de
- Update to new upstream release 20150606
  * Support for several leaf updates, including information on
  XSAVEC, XGETBV, and XSAVES/XRSTORS instructions. Decoding for
  more Haswell processors, Broadwell, Cherry Trail, and Avoton.
- %%doc is already implicit for manpages
* Mon Aug 12 2013 jengelh@inai.de
- Update to new upstream release 20130610
  * Add lost Opteron 3200 strings
* Mon Jun 10 2013 jengelh@inai.de
- Update to new upstream release 20130609
  * support for many new CPU types
- Wrap description at 70 cols; remove redundant %%clean section
* Wed Jun  1 2011 pascal.bleser@opensuse.org
- update to 20110305
- moved to utilities
* Sat Dec 22 2007 guru@unixtech.be
- moved to openSUSE Build Service
* Mon Sep 18 2006 guru@unixtech.be
- new upstream version
* Wed Aug 23 2006 guru@unixtech.be
- new upstream version
* Tue Aug  8 2006 guru@unixtech.be
- new upstream version
* Mon Jul 31 2006 guru@unixtech.be
- added binary stripping on SUSE < 9.3
- removed Packager and Distribution, injected by rpmmacros
- new upstream version
* Mon Apr  3 2006 guru@unixtech.be
- new package
